EDIT - feature request #9324

Enable designation reference editing in name type designation
11/25/2020 07:15 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.20

Severity: normal

Description

Main issues:

6: enable to select an available section (new names) or create a new section (for e.g. lecto- or neotypes) - SOLVED in #9301

7: no idea if we need the editon of references here (I would say: no). - see discussion below

8: citation detail --> is not needed for phycobank since we will create dedicated sections. Allow to hide this field per configuration
parameter - TODO

Name type designation editor

registration New name type designation

Conserved type Rejected type Mot designated

Type status

lectotype B

Type name

Typified names

Citation Citation detail

Editonal notes

Further issues:
1: This might be not a button, but an entry in the dropdown. Warning: if seleted, it can be combined with a type status

2: This might be not a button, but an entry in the dropdown (same warning)

3: This makes for PhycoBank not much sense, because then we have no data to enter. Possible usage, if a type is given, but not
marked as "here designated” this structure might be used (discussion needed).

4: The dropdown may interfer with the buttons at the top.

5: If a status is selected this cannot be made undone. - SOLVED

Related issues:

Related to EDIT - bug #9290: stop setting Registration.citation as citation f... Closed
Related to EDIT - bug #9475: NameTypeDesignations for existing names in other... Closed
Copied to EDIT - bug #9453: Implement NameDesignationBase.hasDesignationSourc... New

Associated revisions

Revision 10f4a16e - 02/01/2021 10:50 AM - Andreas Kohlbecker

ref #9324 allowing null selection for type status in name type designation editor

History

#1 - 12/01/2020 11:22 AM - Andreas Kohlbecker
- Priority changed from Priority13 to Highest

- Target version changed from Unassigned CDM tickets to Release 5.19

#2 - 12/01/2020 12:42 PM - Andreas Kohlbecker

- Description updated

#3 - 01/27/2021 03:15 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#4 - 02/01/2021 10:29 AM - Andreas Kohlbecker

- Description updated

#5 - 02/01/2021 10:34 AM - Andreas Kohlbecker
- Related to bug #9290: stop setting Registration.citation as citation for TypeDesignations in all type editors by default added

#6 - 02/01/2021 10:39 AM - Andreas Kohlbecker

- Description updated

7: no idea if we need the editon of references here (I would say: no).

editing of references is enabled be default, but could be disabled if really needed.

Points 1 to 4 are subject to another ticket and should be discussed separately. @Hennnig: could you please open a new ticket for this?
#7 - 02/01/2021 10:51 AM - Andreas Kohlbecker

- Subject changed from Enable section in name type designation to Enable deignation reference editing in name type designation

- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

allowing null selection for type status in name type designation editor implemented.

so this ticket can be reviewed

#8 - 02/01/2021 10:51 AM - Andreas Kohlbecker

- Description updated

#9 - 02/04/2021 06:32 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 70
Allowing null selection for type status in name type designation editor implemented.
Is functioning as expected.

Note 1: Rejected type and Conserved type have a reference.
Note 2: A reference given for e.g. a lectotype for a name type in preparation is safed. In a second step the status is set to orignial designation: The

Reference disappears but, as far as | can see, this causes no problems.
Note 3: proposed types for rejection/conservation with references are missing.

#10 - 02/05/2021 08:54 AM - Andreas Kohlbecker

- Subject changed from Enable deignation reference editing in name type designation to Enable designation reference editing in name type
designation

#11 - 02/05/2021 10:14 AM - Andreas Kohlbecker

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
Wolf-Henning Kusber wrote:

Allowing null selection for type status in name type designation editor implemented.
Is functioning as expected.

Note 1: Rejected type and Conserved type have a reference.

--> copied to #9453
Note 2: A reference given for e.g. a lectotype for a name type in preparation is safed. In a second step the status is set to orignial designation:
The Reference disappears but, as far as | can see, this causes no problems.

OK, good!
Note 3: proposed types for rejection/conservation with references are missing.

These flags are separate from the states in the cdm model. As far as my understanding goes, these are not type status per se. Is the application of a
type status and one of these two flags mutually exclusive? Does the same also account for "not designated"?

#12 - 02/05/2021 10:14 AM - Andreas Kohlbecker

- Copied to bug #9453: Implement NameDesignationBase.hasDesignationSource() which takes isRejected and isConserved into account added
#13 - 02/05/2021 10:45 AM - Wolf-Henning Kusber

example for Note 3: proposed types for rejection/conservation with references are missing.

species

Achnanthes quadricauda Turpin in Mém. Mus. Hist. Nat. 16: 311. 1828.
Typus: [specimen from strain] Hungary, Lake Belsé-t6, Hegewald 1971/256 (Kernforschungsanlage Jilich, Germany) (typ. cons.).

Genus

Astasia Dujard., Hist. Nat. Zoophyt.: 353, 356. 1841.
Typus: A. limpida Dujard. (typ. cons.).

Auricula Hill, Brit. Herb.: 98. 31 Mar 1756 [Angiosp.: Primul. / Primul.].
Typus: non designatus.

#14 - 02/05/2021 11:00 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 70 to 100

Note 3: proposed types for rejection/conservation with references are missing.

we (Henning & Andreas) decided to postpone this discussion.
So this ticket is complete.

#15 - 02/05/2021 11:00 AM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#16 - 02/05/2021 06:22 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.20

#17 - 01/23/2024 05:30 PM - Andreas Miiller

- Related to bug #9475: NameTypeDesignations for existing names in other nom acts can not be created added
